## gr-hpsdr 0.0.0.bb77f3c

=== CMakeLists.txt ===
# Copyright 2011,2012 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.


########################################################################
# Project setup
########################################################################
cmake_minimum_required(VERSION 2.6)
project(gr-hpsdr CXX C)
enable_testing()

#select the release build type by default to get optimization flags
if(NOT CMAKE_BUILD_TYPE)
   set(CMAKE_BUILD_TYPE "Release")
   message(STATUS "Build type not specified: defaulting to release.")
endif(NOT CMAKE_BUILD_TYPE)
set(CMAKE_BUILD_TYPE ${CMAKE_BUILD_TYPE} CACHE STRING "")

list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/Modules)

########################################################################
# Compiler specific setup
########################################################################
if(CMAKE_COMPILER_IS_GNUCXX AND NOT WIN32)
    #http://gcc.gnu.org/wiki/Visibility
    add_definitions(-fvisibility=hidden)
endif()

########################################################################
# Find boost
########################################################################
if(UNIX AND EXISTS "/usr/lib64")
    list(APPEND BOOST_LIBRARYDIR "/usr/lib64") #fedora 64-bit fix
endif(UNIX AND EXISTS "/usr/lib64")
set(Boost_ADDITIONAL_VERSIONS
    "1.35.0" "1.35" "1.36.0" "1.36" "1.37.0" "1.37" "1.38.0" "1.38" "1.39.0" "1.39"
    "1.40.0" "1.40" "1.41.0" "1.41" "1.42.0" "1.42" "1.43.0" "1.43" "1.44.0" "1.44"
    "1.45.0" "1.45" "1.46.0" "1.46" "1.47.0" "1.47" "1.48.0" "1.48" "1.49.0" "1.49"
    "1.50.0" "1.50" "1.51.0" "1.51" "1.52.0" "1.52" "1.53.0" "1.53" "1.54.0" "1.54"
    "1.55.0" "1.55" "1.56.0" "1.56" "1.57.0" "1.57" "1.58.0" "1.58" "1.59.0" "1.59"
    "1.60.0" "1.60" "1.61.0" "1.61" "1.62.0" "1.62" "1.63.0" "1.63" "1.64.0" "1.64"
    "1.65.0" "1.65" "1.66.0" "1.66" "1.67.0" "1.67" "1.68.0" "1.68" "1.69.0" "1.69"
)
find_package(Boost "1.35" COMPONENTS filesystem system)

if(NOT Boost_FOUND)
    message(FATAL_ERROR "Boost required to compile hpsdr")
endif()

########################################################################
# Install directories
########################################################################
include(GrPlatform) #define LIB_SUFFIX
set(GR_RUNTIME_DIR      bin)
set(GR_LIBRARY_DIR      lib${LIB_SUFFIX})
set(GR_INCLUDE_DIR      include/hpsdr)
set(GR_DATA_DIR         share)
set(GR_PKG_DATA_DIR     ${GR_DATA_DIR}/${CMAKE_PROJECT_NAME})
set(GR_DOC_DIR          ${GR_DATA_DIR}/doc)
set(GR_PKG_DOC_DIR      ${GR_DOC_DIR}/${CMAKE_PROJECT_NAME})
set(GR_CONF_DIR         etc)
set(GR_PKG_CONF_DIR     ${GR_CONF_DIR}/${CMAKE_PROJECT_NAME}/conf.d)
set(GR_LIBEXEC_DIR      libexec)
set(GR_PKG_LIBEXEC_DIR  ${GR_LIBEXEC_DIR}/${CMAKE_PROJECT_NAME})
set(GRC_BLOCKS_DIR      ${GR_PKG_DATA_DIR}/grc/blocks)

########################################################################
# Find gnuradio build dependencies
########################################################################
find_package(GnuradioRuntime)
find_package(CppUnit)

# To run a more advanced search for GNU Radio and it's components and
# versions, use the following. Add any components required to the list
# of GR_REQUIRED_COMPONENTS (in all caps) and change "version" to the
# minimum API compatible version required.
#
# set(GR_REQUIRED_COMPONENTS RUNTIME BLOCKS FILTER ...)
# find_package(Gnuradio "version")

if(NOT GNURADIO_RUNTIME_FOUND)
    message(FATAL_ERROR "GnuRadio Runtime required to compile hpsdr")
endif()
if(NOT CPPUNIT_FOUND)
    message(FATAL_ERROR "CppUnit required to compile hpsdr")
endif()

########################################################################
# Setup the include and linker paths
########################################################################
include_directories(
    ${CMAKE_SOURCE_DIR}/lib
    ${CMAKE_SOURCE_DIR}/include
    ${CMAKE_BINARY_DIR}/lib
    ${CMAKE_BINARY_DIR}/include
    ${Boost_INCLUDE_DIRS}
    ${CPPUNIT_INCLUDE_DIRS}
    ${GNURADIO_RUNTIME_INCLUDE_DIRS}
)

link_directories(
    ${Boost_LIBRARY_DIRS}
    ${CPPUNIT_LIBRARY_DIRS}
    ${GNURADIO_RUNTIME_LIBRARY_DIRS}
)

# Set component parameters
set(GR_HPSDR_INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/include CACHE INTERNAL "" FORCE)
set(GR_HPSDR_SWIG_INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/swig CACHE INTERNAL "" FORCE)

########################################################################
# Create uninstall target
########################################################################
configure_file(
    ${CMAKE_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
@ONLY)

add_custom_target(uninstall
    ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
)

########################################################################
# Add subdirectories
########################################################################
add_subdirectory(include/hpsdr)
add_subdirectory(lib)
add_subdirectory(swig)
add_subdirectory(python)
add_subdirectory(grc)
add_subdirectory(apps)
add_subdirectory(docs)

=== python/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Include python install macros
########################################################################
include(GrPython)
if(NOT PYTHONINTERP_FOUND)
    return()
endif()

########################################################################
# Install python sources
########################################################################
GR_PYTHON_INSTALL(
    FILES
    __init__.py
    DESTINATION ${GR_PYTHON_DIR}/hpsdr
)

########################################################################
# Handle the unit tests
########################################################################
include(GrTest)

set(GR_TEST_TARGET_DEPS gnuradio-hpsdr)
set(GR_TEST_PYTHON_DIRS ${CMAKE_BINARY_DIR}/swig)

=== swig/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Include swig generation macros
########################################################################
find_package(SWIG)
find_package(PythonLibs 2)
if(NOT SWIG_FOUND OR NOT PYTHONLIBS_FOUND)
    return()
endif()
include(GrSwig)
include(GrPython)

########################################################################
# Setup swig generation
########################################################################
foreach(incdir ${GNURADIO_RUNTIME_INCLUDE_DIRS})
    list(APPEND GR_SWIG_INCLUDE_DIRS ${incdir}/gnuradio/swig)
endforeach(incdir)

set(GR_SWIG_LIBRARIES gnuradio-hpsdr)
set(GR_SWIG_DOC_FILE ${CMAKE_CURRENT_BINARY_DIR}/hpsdr_swig_doc.i)
set(GR_SWIG_DOC_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/../include)

GR_SWIG_MAKE(hpsdr_swig hpsdr_swig.i)

########################################################################
# Install the build swig module
########################################################################
GR_SWIG_INSTALL(TARGETS hpsdr_swig DESTINATION ${GR_PYTHON_DIR}/hpsdr)

########################################################################
# Install swig .i files for development
########################################################################
install(
    FILES
    hpsdr_swig.i
    ${CMAKE_CURRENT_BINARY_DIR}/hpsdr_swig_doc.i
    DESTINATION ${GR_INCLUDE_DIR}/hpsdr/swig
)

=== debian/changelog ===
gr-hpsdr (0.0.0.bb77f3c-2~bpo8+3) jessie-backports; urgency=medium

  * Re-Rebuild for jessie-backports
    (ensure build with gnuradio 3.7.10.1-1~bpo8+1 on non-amd64 arch)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 15 Apr 2017 23:43:39 -0400

gr-hpsdr (0.0.0.bb77f3c-2~bpo8+2) unstable; urgency=medium

  * Rebuild for jessie-backports gnuradio 3.7.10.1

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 04 Sep 2016 10:29:06 -0400

gr-hpsdr (0.0.0.bb77f3c-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 09 Feb 2016 07:12:53 -0500

gr-hpsdr (0.0.0.bb77f3c-2) unstable; urgency=medium

  * depends upon swig

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 03 Feb 2016 01:03:06 -0500

gr-hpsdr (0.0.0.bb77f3c-1) unstable; urgency=low

  * Initial package (Closes: #799026)

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 19 Jan 2016 12:47:50 -0500

=== debian/control ===
Source: gr-hpsdr
Section: libdevel
Priority: extra
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0~),
               dh-python,
               doxygen,
               gnuradio-dev (>>3.7.9.3),
               libboost-filesystem-dev,
               libboost-system-dev,
               pkg-config,
               python,
               python-cheetah,
               swig
Standards-Version: 3.9.6
Homepage: https://github.com/Tom-McDermott/gr-hpsdr
Vcs-Git: git://anonscm.debian.org/users/bottoms/pkg-gr-hpsdr.git
Vcs-Browser: http://anonscm.debian.org/cgit/users/bottoms/pkg-gr-hpsdr.git/

Package: libgnuradio-hpsdr0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Recommends: gr-hpsdr
Description: gnuradio library for HPSDR Hermes / Metis
 The modules are compatible with version 3.7 of gnuradio and versions of
 Hermes firmware 1.8 through at least 3.1.
 .
 This package contains the shared library.

Package: gr-hpsdr
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libgnuradio-hpsdr0 (=${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: gnuradio interface module for HPSDR Hermes / Metis
 The modules are compatible with version 3.7 of gnuradio and versions of
 Hermes firmware 1.8 through at least 3.1.
 .
 This package contains the header files and grc block definitions.

## gr-hpsdr 1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -23,6 +23,11 @@
 ########################################################################
 cmake_minimum_required(VERSION 2.6)
 project(gr-hpsdr CXX C)
+
+#### Enable c++ 11     For lists     Added July 2017
+set(CMAKE_CXX_FLAGS "-std=c++11")
+
+
 enable_testing()
 
 #select the release build type by default to get optimization flags

=== grc/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.
install(FILES
    hpsdr_hermesNB.xml
    hpsdr_hermesWB.xml
    DESTINATION share/gnuradio/grc/blocks
)

=== debian/changelog ===
gr-hpsdr (1.2-1ubuntu2) focal; urgency=medium

  * No-change rebuild for gnuradio soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 21 Feb 2020 11:30:59 +0100

gr-hpsdr (1.2-1ubuntu1) focal; urgency=medium

  * Force python2 interpreter

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 12 Feb 2020 13:23:28 +0100

gr-hpsdr (1.2-1) unstable; urgency=medium

  * New upstream release
  * build with gnuradio 3.7.11
  * add watch file

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 04 Sep 2017 01:11:38 -0400

=== debian/control ===
Source: gr-hpsdr
Section: libdevel
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0~),
               dh-python,
               doxygen,
               gnuradio-dev (>= 3.7.11),
               libboost-filesystem-dev,
               libboost-system-dev,
               pkg-config,
               python2,
               python-cheetah,
               swig
Standards-Version: 4.1.0
Homepage: https://github.com/Tom-McDermott/gr-hpsdr
Vcs-Git: git://anonscm.debian.org/pkg-hamradio/gr-hpsdr.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-hamradio/gr-hpsdr.git/

Package: libgnuradio-hpsdr1.2
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Recommends: gr-hpsdr
Description: gnuradio library for OpenHPSDR protocol 1
 Hardware supported includes OpenHPSDR Hermes / Metis and Red Pitaya
 using the OpenHpsdr protocol.
 .
 The modules are compatible with version 3.7 of gnuradio and versions of
 Hermes firmware 1.8 through 3.2. (known as OpenHPSDR protocol 1). It
 is not compatible with the new OpenHPSDR protocol 2.
 .
 This package contains the shared library.

Package: gr-hpsdr
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libgnuradio-hpsdr1.2 (=${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: gnuradio interface module for OpenHPSDR protocol 1
 Hardware supported includes OpenHPSDR Hermes / Metis and Red Pitaya
 using the OpenHpsdr protocol.
 .
 hermesNB sources decimated downconverted 48K-to-384K receiver complex
 stream(s), and sinks one 48k sample rate transmit complex stream.
 .
 hermesWB sources raw ADC samples as a vector of floats, with
 vlen=16384. Each individual vector contains time contiguous
 samples. However there are large time gaps between vectors. This is
 how HPSDR produces raw samples, it is due to Ethernet interface rate
 limitations between HPSDR and the host computer.
 .
 The modules are compatible with version 3.7 of gnuradio and versions of
 Hermes firmware 1.8 through at 3.2. (known as OpenHPSDR protocol
 1). It is not compatible with the new OpenHPSDR protocol 2.
 .
 This package contains the header files and grc block definitions.

=== debian/rules ===
#!/usr/bin/make -f
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_HOST_MULTIARCH
DH_VERBOSE=1
export DH_VERBOSE

%:
	dh $@ --with python2

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)" -DPYTHON_EXECUTABLE=/usr/bin/python2

override_dh_install:
	rm -f debian/tmp/usr/lib/python2.7/dist-packages/hpsdr/*.pyc
	rm -f debian/tmp/usr/lib/python2.7/dist-packages/hpsdr/*.pyo
	dh_install

## gr-hpsdr 1.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,7 +25,7 @@
 project(gr-hpsdr CXX C)
 
 #### Enable c++ 11     For lists     Added July 2017
-set(CMAKE_CXX_FLAGS "-std=c++11")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
 
 
 enable_testing()

=== lib/CMakeLists.txt ===
# Copyright 2011,2012 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Setup library
########################################################################
include(GrPlatform) #define LIB_SUFFIX

include_directories(${Boost_INCLUDE_DIR})
link_directories(${Boost_LIBRARY_DIRS})
list(APPEND hpsdr_sources
    hermesNB_impl.cc HermesProxy.cc metis.cc
    hermesWB_impl.cc HermesProxyW.cc)

add_library(gnuradio-hpsdr SHARED ${hpsdr_sources})
target_link_libraries(gnuradio-hpsdr ${Boost_LIBRARIES} ${GNURADIO_RUNTIME_LIBRARIES})
set_target_properties(gnuradio-hpsdr PROPERTIES DEFINE_SYMBOL "gnuradio_hpsdr_EXPORTS")

########################################################################
# Install built library files
########################################################################
install(TARGETS gnuradio-hpsdr
    LIBRARY DESTINATION lib${LIB_SUFFIX} # .so/.dylib file
    ARCHIVE DESTINATION lib${LIB_SUFFIX} # .lib file
    RUNTIME DESTINATION bin              # .dll file
)

########################################################################
# Build and register unit test
########################################################################
include(GrTest)

include_directories(${CPPUNIT_INCLUDE_DIRS})

list(APPEND test_hpsdr_sources
    ${CMAKE_CURRENT_SOURCE_DIR}/test_hpsdr.cc
    ${CMAKE_CURRENT_SOURCE_DIR}/qa_hpsdr.cc
)

add_executable(test-hpsdr ${test_hpsdr_sources})

target_link_libraries(
  test-hpsdr
  ${GNURADIO_RUNTIME_LIBRARIES}
  ${Boost_LIBRARIES}
  ${CPPUNIT_LIBRARIES}
  gnuradio-hpsdr
)

GR_ADD_TEST(test_hpsdr test-hpsdr)

=== include/hpsdr/CMakeLists.txt ===
# Copyright 2011,2012 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Install public header files
########################################################################
install(FILES
    api.h
    hermesNB.h
    hermesWB.h DESTINATION include/hpsdr
)

=== debian/changelog ===
gr-hpsdr (1.2.1-2~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.
  * Changed DB from debhelper (>= 12~) to debhelper-compat (=12)
  * Removed debian/compat file

 -- ”SwampRabbit” <swamprabbit@mxlinux.org>  Mon, 27 Apr 2020 12:13:49 -0400

gr-hpsdr (1.2.1-2) unstable; urgency=medium

  * source-only upload to unstable

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 13 Apr 2020 19:09:59 -0400

gr-hpsdr (1.2.1-1) unstable; urgency=medium

  * New upstream tag
  * port to gnuradio 3.8, Python3 (Closes: #936659)
  * DH 12, bump S-V, priority optional.
  * Move Vcs headers to salsa. (Thanks Christoph Berg)

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 27 Mar 2020 20:09:58 -0400

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,28 @@
 Source: gr-hpsdr
 Section: libdevel
-Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Priority: optional
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
 XSBC-Original-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: A. Maitland Bottoms <bottoms@debian.org>
 Build-Depends: cmake,
-               debhelper (>= 9.0.0~),
+               debhelper-compat (=12),
                dh-python,
                doxygen,
-               gnuradio-dev (>= 3.7.11),
+               gnuradio-dev,
                libboost-filesystem-dev,
                libboost-system-dev,
+	       liborc-0.4-dev,
                pkg-config,
-               python2,
-               python-cheetah,
+               python3,
+               python3-mako,
+	       python3-six,
                swig
-Standards-Version: 4.1.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/Tom-McDermott/gr-hpsdr
-Vcs-Git: git://anonscm.debian.org/pkg-hamradio/gr-hpsdr.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-hamradio/gr-hpsdr.git/
+Vcs-Git: https://salsa.debian.org/debian-hamradio-team/gr-hpsdr.git
+Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/gr-hpsdr
 
-Package: libgnuradio-hpsdr1.2
+Package: libgnuradio-hpsdr1.2.1
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -40,8 +42,8 @@
 Package: gr-hpsdr
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libgnuradio-hpsdr1.2 (=${binary:Version}),
-         ${misc:Depends},
+Depends: libgnuradio-hpsdr1.2.1 (=${binary:Version}),
+         ${misc:Depends}, ${python3:Depends},
          ${shlibs:Depends}
 Description: gnuradio interface module for OpenHPSDR protocol 1
  Hardware supported includes OpenHPSDR Hermes / Metis and Red Pitaya

=== debian/rules ===
#!/usr/bin/make -f
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_HOST_MULTIARCH
DH_VERBOSE=1
export DH_VERBOSE

%:
	dh $@ --with python3

override_dh_strip:
	dh_strip --no-automatic-dbgsym

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)" -DPYTHON_EXECUTABLE=/usr/bin/python3

override_dh_install:
	rm -f debian/tmp/usr/lib/python3*/dist-packages/hpsdr/*.pyc
	rm -f debian/tmp/usr/lib/python3*/dist-packages/hpsdr/*.pyo
	dh_install

## gr-hpsdr 3.0

=== CMakeLists.txt ===
# Copyright 2011-2020 Free Software Foundation, Inc.
#
# This file was generated by gr_modtool, a tool from the GNU Radio framework
# This file is a part of gr-hpsdr
#
# SPDX-License-Identifier: GPL-3.0-or-later
#

########################################################################
# Project setup
########################################################################
cmake_minimum_required(VERSION 3.8)
project(gr-hpsdr CXX C)
enable_testing()

# Install to PyBOMBS target prefix if defined
if(DEFINED ENV{PYBOMBS_PREFIX})
    set(CMAKE_INSTALL_PREFIX $ENV{PYBOMBS_PREFIX})
    message(STATUS "PyBOMBS installed GNU Radio. Setting CMAKE_INSTALL_PREFIX to $ENV{PYBOMBS_PREFIX}")
endif()

# Select the release build type by default to get optimization flags
if(NOT CMAKE_BUILD_TYPE)
   set(CMAKE_BUILD_TYPE "Release")
   message(STATUS "Build type not specified: defaulting to release.")
endif(NOT CMAKE_BUILD_TYPE)
set(CMAKE_BUILD_TYPE ${CMAKE_BUILD_TYPE} CACHE STRING "")

# Make sure our local CMake Modules path comes first
list(INSERT CMAKE_MODULE_PATH 0 ${CMAKE_SOURCE_DIR}/cmake/Modules)

# Set the version information here
set(VERSION_MAJOR 1)
set(VERSION_API   0)
set(VERSION_ABI   0)
set(VERSION_PATCH 0)

cmake_policy(SET CMP0011 NEW)

# Enable generation of compile_commands.json for code completion engines
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)

########################################################################
# Compiler specific setup
########################################################################
if((CMAKE_CXX_COMPILER_ID MATCHES "Clang" OR
    CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
    AND NOT WIN32)
    #http://gcc.gnu.org/wiki/Visibility
    add_definitions(-fvisibility=hidden)
endif()

IF(CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
    SET(CMAKE_CXX_STANDARD 14)
ELSEIF(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    SET(CMAKE_CXX_STANDARD 14)
ELSEIF(CMAKE_CXX_COMPILER_ID STREQUAL "MSVC")
    SET(CMAKE_CXX_STANDARD 14)
ELSE()
    message(WARNING "C++ standard could not be set because compiler is not GNU, Clang or MSVC.")
ENDIF()

IF(CMAKE_C_COMPILER_ID STREQUAL "GNU")
    SET(CMAKE_C_STANDARD 11)
ELSEIF(CMAKE_C_COMPILER_ID MATCHES "Clang")
    SET(CMAKE_C_STANDARD 11)
ELSEIF(CMAKE_C_COMPILER_ID STREQUAL "MSVC")
    SET(CMAKE_C_STANDARD 11)
ELSE()
    message(WARNING "C standard could not be set because compiler is not GNU, Clang or MSVC.")
ENDIF()

########################################################################
# Install directories
########################################################################
include(FindPkgConfig)
find_package(Gnuradio "3.9" REQUIRED)
include(GrVersion)

include(GrPlatform) #define LIB_SUFFIX

if(NOT CMAKE_MODULES_DIR)
  set(CMAKE_MODULES_DIR lib${LIB_SUFFIX}/cmake)
endif(NOT CMAKE_MODULES_DIR)

set(GR_INCLUDE_DIR      include/hpsdr)
set(GR_CMAKE_DIR        ${CMAKE_MODULES_DIR}/hpsdr)
set(GR_PKG_DATA_DIR     ${GR_DATA_DIR}/${CMAKE_PROJECT_NAME})
set(GR_PKG_DOC_DIR      ${GR_DOC_DIR}/${CMAKE_PROJECT_NAME})
set(GR_PKG_CONF_DIR     ${GR_CONF_DIR}/${CMAKE_PROJECT_NAME}/conf.d)
set(GR_PKG_LIBEXEC_DIR  ${GR_LIBEXEC_DIR}/${CMAKE_PROJECT_NAME})

########################################################################
# On Apple only, set install name and use rpath correctly, if not already set
########################################################################
if(APPLE)
    if(NOT CMAKE_INSTALL_NAME_DIR)
        set(CMAKE_INSTALL_NAME_DIR
            ${CMAKE_INSTALL_PREFIX}/${GR_LIBRARY_DIR} CACHE
            PATH "Library Install Name Destination Directory" FORCE)
    endif(NOT CMAKE_INSTALL_NAME_DIR)
    if(NOT CMAKE_INSTALL_RPATH)
        set(CMAKE_INSTALL_RPATH
            ${CMAKE_INSTALL_PREFIX}/${GR_LIBRARY_DIR} CACHE
            PATH "Library Install RPath" FORCE)
    endif(NOT CMAKE_INSTALL_RPATH)
    if(NOT CMAKE_BUILD_WITH_INSTALL_RPATH)
        set(CMAKE_BUILD_WITH_INSTALL_RPATH ON CACHE
            BOOL "Do Build Using Library Install RPath" FORCE)
    endif(NOT CMAKE_BUILD_WITH_INSTALL_RPATH)
endif(APPLE)

########################################################################
# Find gnuradio build dependencies
########################################################################
find_package(Doxygen)

########################################################################
# PyBind11 Related
########################################################################

find_package(pybind11 REQUIRED)
execute_process(
    COMMAND "${PYTHON_EXECUTABLE}" -c
    "try:\n import numpy\n import os\n inc_path = numpy.get_include()\n if os.path.exists(os.path.join(inc_path, 'numpy', 'arrayobject.h')):\n  print(inc_path, end='')\nexcept:\n pass"
    OUTPUT_VARIABLE PYTHON_NUMPY_INCLUDE_DIR)

########################################################################
# Setup doxygen option
########################################################################
if(DOXYGEN_FOUND)
    option(ENABLE_DOXYGEN "Build docs using Doxygen" ON)
else(DOXYGEN_FOUND)
    option(ENABLE_DOXYGEN "Build docs using Doxygen" OFF)
endif(DOXYGEN_FOUND)

########################################################################
# Create uninstall target
########################################################################
configure_file(
    ${CMAKE_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
@ONLY)

add_custom_target(uninstall
    ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
    )

########################################################################
# Add subdirectories
########################################################################
add_subdirectory(include/hpsdr)
add_subdirectory(lib)
add_subdirectory(apps)
add_subdirectory(docs)
# NOTE: manually update below to use GRC to generate C++ flowgraphs w/o python
if(ENABLE_PYTHON)
  message(STATUS "PYTHON and GRC components are enabled")
  add_subdirectory(python)
  add_subdirectory(grc)
else(ENABLE_PYTHON)
  message(STATUS "PYTHON and GRC components are disabled")
endif(ENABLE_PYTHON)

########################################################################
# Install cmake search helper for this library
########################################################################

install(FILES cmake/Modules/hpsdrConfig.cmake
    DESTINATION ${CMAKE_MODULES_DIR}/hpsdr
)

=== docs/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file was generated by gr_modtool, a tool from the GNU Radio framework
# This file is a part of gr-hpsdr
#
# SPDX-License-Identifier: GPL-3.0-or-later
#

########################################################################
# Setup dependencies
########################################################################
find_package(Doxygen)

########################################################################
# Begin conditional configuration
########################################################################
if(ENABLE_DOXYGEN)

########################################################################
# Add subdirectories
########################################################################
add_subdirectory(doxygen)

endif(ENABLE_DOXYGEN)

=== python/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file was generated by gr_modtool, a tool from the GNU Radio framework
# This file is a part of gr-hpsdr
#
# SPDX-License-Identifier: GPL-3.0-or-later
#

########################################################################
# Include python install macros
########################################################################
include(GrPython)
if(NOT PYTHONINTERP_FOUND)
    return()
endif()

add_subdirectory(bindings)

########################################################################
# Install python sources
########################################################################
GR_PYTHON_INSTALL(
    FILES
    __init__.py
    DESTINATION ${GR_PYTHON_DIR}/hpsdr
)

########################################################################
# Handle the unit tests
########################################################################
include(GrTest)

set(GR_TEST_TARGET_DEPS gnuradio-hpsdr)

=== include/hpsdr/CMakeLists.txt ===
# Copyright 2011,2012 Free Software Foundation, Inc.
#
# This file was generated by gr_modtool, a tool from the GNU Radio framework
# This file is a part of gr-hpsdr
#
# SPDX-License-Identifier: GPL-3.0-or-later
#

########################################################################
# Install public header files
########################################################################
install(FILES
    api.h
    hermesNB.h
    hermesWB.h DESTINATION include/hpsdr
)

=== python/bindings/CMakeLists.txt ===
# Copyright 2020 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# SPDX-License-Identifier: GPL-3.0-or-later
#

########################################################################
# Check if there is C++ code at all
########################################################################
if(NOT hpsdr_sources)
    MESSAGE(STATUS "No C++ sources... skipping python bindings")
    return()
endif(NOT hpsdr_sources)

########################################################################
# Check for pygccxml
########################################################################
GR_PYTHON_CHECK_MODULE_RAW(
    "pygccxml"
    "import pygccxml"
    PYGCCXML_FOUND
    )

include(GrPybind)

########################################################################
# Python Bindings
########################################################################

list(APPEND hpsdr_python_files
    hermesNB_python.cc
    hermesWB_python.cc python_bindings.cc)

GR_PYBIND_MAKE_OOT(hpsdr 
   ../..
   gr::hpsdr
   "${hpsdr_python_files}")

install(TARGETS hpsdr_python DESTINATION ${GR_PYTHON_DIR}/hpsdr COMPONENT pythonapi)

=== debian/changelog ===
gr-hpsdr (3.0-2build2) jammy; urgency=medium

  * No-change rebuild against gnuradio 3.10.1

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 08 Feb 2022 13:58:58 +0000

gr-hpsdr (3.0-2build1) jammy; urgency=medium

  * No-change rebuild against gnuradio 3.10.0

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 19 Jan 2022 07:43:32 +0000

gr-hpsdr (3.0-2) unstable; urgency=medium

  * upload to unstable
  * upstream refactor removes sockaddr_dl and LLADDR (Closes: #875467)

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 09 Dec 2021 20:18:19 -0500

gr-hpsdr (3.0-1) experimental; urgency=medium

  * New upstream release
  * update to v3.0-1-gbc3cb24

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 12 Nov 2021 00:22:25 -0500

gr-hpsdr (2.0-2) unstable; urgency=medium

  * upload to unstable for transitions
  * Incorporate Debian Janitor fixes:
  * Use secure copyright file specification URI.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 12 Sep 2020 20:47:46 -0400

gr-hpsdr (2.0-1) experimental; urgency=medium

  * New upstream release v2.0
  * update to 2.0-2-gd7e9f3e
  * upload to experimental due to SONAME bump

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 12 Sep 2020 18:47:53 -0400

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,25 @@
 Source: gr-hpsdr
 Section: libdevel
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
+Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: A. Maitland Bottoms <bottoms@debian.org>
 Build-Depends: cmake,
-               debhelper-compat (=12),
+	       debhelper-compat (= 13),
                dh-python,
                doxygen,
-               gnuradio-dev,
+               gnuradio-dev (>=3.9),
                libboost-filesystem-dev,
                libboost-system-dev,
-	       liborc-0.4-dev,
                pkg-config,
                python3,
                python3-mako,
-	       python3-six,
-               swig
-Standards-Version: 4.5.0
+	       python3-numpy
+Standards-Version: 4.6.0
 Homepage: https://github.com/Tom-McDermott/gr-hpsdr
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/gr-hpsdr.git
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/gr-hpsdr
 
-Package: libgnuradio-hpsdr1.2.1
+Package: libgnuradio-hpsdr1.0.0
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -33,7 +30,7 @@
  Hardware supported includes OpenHPSDR Hermes / Metis and Red Pitaya
  using the OpenHpsdr protocol.
  .
- The modules are compatible with version 3.7 of gnuradio and versions of
+ The modules are compatible with version 3.8 of gnuradio and versions of
  Hermes firmware 1.8 through 3.2. (known as OpenHPSDR protocol 1). It
  is not compatible with the new OpenHPSDR protocol 2.
  .
@@ -42,7 +39,7 @@
 Package: gr-hpsdr
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libgnuradio-hpsdr1.2.1 (=${binary:Version}),
+Depends: libgnuradio-hpsdr1.0.0 (=${binary:Version}),
          ${misc:Depends}, ${python3:Depends},
          ${shlibs:Depends}
 Description: gnuradio interface module for OpenHPSDR protocol 1
@@ -58,7 +55,7 @@
  how HPSDR produces raw samples, it is due to Ethernet interface rate
  limitations between HPSDR and the host computer.
  .
- The modules are compatible with version 3.7 of gnuradio and versions of
+ The modules are compatible with version 3.8 of gnuradio and versions of
  Hermes firmware 1.8 through at 3.2. (known as OpenHPSDR protocol
  1). It is not compatible with the new OpenHPSDR protocol 2.
  .

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%gr-hpsdr-$1.tar.gz%" \
https://github.com/Tom-McDermott/gr-hpsdr/releases \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
